# Uses of Enum
com.fasterxml.jackson.core.StreamReadCapability

Packages that use StreamReadCapability
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.base
Base classes used by concrete Parser and Generator implementations; contain functionality that is not specific to JSON or input abstraction (byte vs char).
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.
com.fasterxml.jackson.core.json.async
Non-blocking ("async") JSON parser implementation.
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of StreamReadCapability in com.fasterxml.jackson.core

Fields in com.fasterxml.jackson.core with type parameters of type StreamReadCapability
Modifier and Type
Field
Description
`protected static final JacksonFeatureSet<StreamReadCapability>`
JsonParser.`DEFAULT_READ_CAPABILITIES`
Default set of `StreamReadCapability`ies that may be used as basis for format-specific readers (or as bogus instance if non-null set needs to be passed).
Methods in com.fasterxml.jackson.core that return StreamReadCapability
Modifier and Type
Method
Description
`static StreamReadCapability`
StreamReadCapability.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static StreamReadCapability[]`
StreamReadCapability.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.fasterxml.jackson.core that return types with arguments of type StreamReadCapability
Modifier and Type
Method
Description
`JacksonFeatureSet<StreamReadCapability>`
JsonParser.`getReadCapabilities()`
Accessor for getting metadata on capabilities of this parser, based on underlying data format being read (directly or indirectly).

## Uses of StreamReadCapability in com.fasterxml.jackson.core.base

Fields in com.fasterxml.jackson.core.base with type parameters of type StreamReadCapability
Modifier and Type
Field
Description
`protected static final JacksonFeatureSet<StreamReadCapability>`
ParserBase.`JSON_READ_CAPABILITIES`

## Uses of StreamReadCapability in com.fasterxml.jackson.core.json

Methods in com.fasterxml.jackson.core.json that return types with arguments of type StreamReadCapability
Modifier and Type
Method
Description
`JacksonFeatureSet<StreamReadCapability>`
ReaderBasedJsonParser.`getReadCapabilities()`
`JacksonFeatureSet<StreamReadCapability>`
UTF8DataInputJsonParser.`getReadCapabilities()`
`JacksonFeatureSet<StreamReadCapability>`
UTF8StreamJsonParser.`getReadCapabilities()`

## Uses of StreamReadCapability in com.fasterxml.jackson.core.json.async

Methods in com.fasterxml.jackson.core.json.async that return types with arguments of type StreamReadCapability
Modifier and Type
Method
Description
`JacksonFeatureSet<StreamReadCapability>`
NonBlockingJsonParserBase.`getReadCapabilities()`

## Uses of StreamReadCapability in com.fasterxml.jackson.core.util

Methods in com.fasterxml.jackson.core.util that return types with arguments of type StreamReadCapability
Modifier and Type
Method
Description
`JacksonFeatureSet<StreamReadCapability>`
JsonParserDelegate.`getReadCapabilities()`